## org.gnu.gtk.event
Class UIManagerEvent.Type

    java.lang.Object
      org.gnu.glib.EventType
          org.gnu.gtk.event.UIManagerEvent.Type

Enclosing class:
  UIManagerEvent

public static class UIManagerEvent.Type
extends EventType

Field Summary
`static UIManagerEvent.Type` `ACTIONS_CHANGED`
`static UIManagerEvent.Type` `ADD_WIDGET`
`static UIManagerEvent.Type` `CONNECT_PROXY`
`static UIManagerEvent.Type` `DISCONNECT_PROXY`
`static UIManagerEvent.Type` `POST_ACTIVATE`
`static UIManagerEvent.Type` `PRE_ACTIVATE`

Methods inherited from class org.gnu.glib.EventType
`getID, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD_WIDGET

    public static final UIManagerEvent.Type ADD_WIDGET

### ACTIONS_CHANGED

    public static final UIManagerEvent.Type ACTIONS_CHANGED

### CONNECT_PROXY

    public static final UIManagerEvent.Type CONNECT_PROXY

### DISCONNECT_PROXY

    public static final UIManagerEvent.Type DISCONNECT_PROXY

### PRE_ACTIVATE

    public static final UIManagerEvent.Type PRE_ACTIVATE

### POST_ACTIVATE

    public static final UIManagerEvent.Type POST_ACTIVATE